List Strict Send Payment Paths

The strict send payment path endpoint lists the paths a payment can take based on the amount of an asset you want to send. The source asset amount stays constant, and the type and amount of an asset received varies based on offers in the order books.

For this search, Horizon loads a list of assets that the recipient can receive (based on destination_account or destination_assets) and displays the possible paths from the different source assets to the destination asset. Only paths that satisfy the source_amount are returned.

Query Params
string
enum
required

The type for the source asset. Either native, credit_alphanum4, or credit_alphanum12.

Allowed:
string

The Stellar address of the issuer of the source asset. Required if the source_asset_type is not native.

string

The code for the source asset. Required if the source_asset_type is not native.

string
required

The amount of the source asset that should be sent.

string

The Stellar address of the receiver. Any returned path must end with an asset that the recipient can receive. Using either source_account or source_assets as an argument is required for strict send path payments.

string

A comma-separated list of assets that the recipient can receive. Any returned path must end with an asset in this list. Each asset is formatted as CODE:ISSUER_ACCOUNT. For example: USD:GDUKMGUGDZQK6YHYA5Z6AY2G4XDSZPSZ3SW5UN3ARVMO6QSRDWP5YLEX. Using either source_account or source_assets as an argument is required for strict send path payments.

Response

Language
Credentials
Header
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json